# cFileCommBuffer Class Reference
[Parallel simulation support]

Communication buffer that packs data in a text representation into a memory buffer. More...

`#include <cfilecommbuffer.h>`

Inheritance diagram for cFileCommBuffer:

List of all members.

## Public Member Functions

| cFileCommBuffer ()
virtual | ~cFileCommBuffer ()
void | setMessageSize (int size)
Pack basic types
Pack arrays of basic types
Unpack basic types
Unpack arrays of basic types

## Detailed Description

Communication buffer that packs data in a text representation into a memory buffer.

## Constructor & Destructor Documentation

cFileCommBuffer::cFileCommBuffer | ( |  | ) |

| Constructor.

virtual cFileCommBuffer::~cFileCommBuffer | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void cFileCommBuffer::setMessageSize | ( | int | size | ) |

| Redefined because we need to NULL-terminate the buffer. Reimplemented from cCommBufferBase.

The documentation for this class was generated from the following file:

- cfilecommbuffer.h